## javax.persistence
Class NonUniqueResultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException
                      javax.persistence.NonUniqueResultException

All Implemented Interfaces:
  java.io.Serializable

    public class NonUniqueResultException

extends PersistenceException

See Also:
  Serialized Form

Constructor Summary
`NonUniqueResultException()`
`NonUniqueResultException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonUniqueResultException

    public NonUniqueResultException()

### NonUniqueResultException

    public NonUniqueResultException(java.lang.String message)